TaskAttemptInfo (Apache Hadoop MapReduce App 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app.webapp.dao, class: TaskAttemptInfo

Package org.apache.hadoop.mapreduce.v2.app.webapp.dao

# Class TaskAttemptInfo

java.lang.Object
org.apache.hadoop.mapreduce.v2.app.webapp.dao.TaskAttemptInfo

Direct Known Subclasses:
  `MapTaskAttemptInfo`, `ReduceTaskAttemptInfo`

public abstract class TaskAttemptInfo extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.apache.hadoop.yarn.api.records.ContainerId`
  `assignedContainer`
  `protected String`
  `assignedContainerId`
  `protected String`
  `diagnostics`
  `protected long`
  `elapsedTime`
  `protected long`
  `finishTime`
  `protected String`
  `id`
  `protected String`
  `nodeHttpAddress`
  `protected float`
  `progress`
  `protected String`
  `rack`
  `protected long`
  `startTime`
  `protected org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptState`
  `state`
  `protected String`
  `status`
  `protected String`
  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskAttemptInfo()`
  `TaskAttemptInfo(TaskAttempt ta, org.apache.hadoop.mapreduce.v2.api.records.TaskType type, Boolean isRunning)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.api.records.ContainerId`
  `getAssignedContainerId()`
  `String`
  `getAssignedContainerIdStr()`
  `long`
  `getElapsedTime()`
  `long`
  `getFinishTime()`
  `String`
  `getId()`
  `String`
  `getNode()`
  `String`
  `getNote()`
  `float`
  `getProgress()`
  `String`
  `getRack()`
  `long`
  `getStartTime()`
  `String`
  `getState()`
  `String`
  `getStatus()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### startTime

    protected long startTime

  - ### finishTime

    protected long finishTime

  - ### elapsedTime

    protected long elapsedTime

  - ### progress

    protected float progress

  - ### id

    protected String id

  - ### rack

    protected String rack

  - ### state

    protected org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptState state

  - ### status

    protected String status

  - ### nodeHttpAddress

    protected String nodeHttpAddress

  - ### diagnostics

    protected String diagnostics

  - ### type

    protected String type

  - ### assignedContainerId

    protected String assignedContainerId

  - ### assignedContainer

    protected org.apache.hadoop.yarn.api.records.ContainerId assignedContainer

- ## Constructor Details

  - ### TaskAttemptInfo

    public TaskAttemptInfo()

  - ### TaskAttemptInfo

    public TaskAttemptInfo(TaskAttempt ta, org.apache.hadoop.mapreduce.v2.api.records.TaskType type, Boolean isRunning)

- ## Method Details

  - ### getAssignedContainerIdStr

    public String getAssignedContainerIdStr()

  - ### getAssignedContainerId

    public org.apache.hadoop.yarn.api.records.ContainerId getAssignedContainerId()

  - ### getState

    public String getState()

  - ### getStatus

    public String getStatus()

  - ### getId

    public String getId()

  - ### getStartTime

    public long getStartTime()

  - ### getFinishTime

    public long getFinishTime()

  - ### getProgress

    public float getProgress()

  - ### getElapsedTime

    public long getElapsedTime()

  - ### getNode

    public String getNode()

  - ### getRack

    public String getRack()

  - ### getNote

    public String getNote()